CREATE TABLE hz_geography_identifiers (
    GEOGRAPHY_IDENTIFIER_ID    NUMBER(18, 0) ,
    GEOGRAPHY_ID               NUMBER(18, 0)     NOT NULL,
    IMPORT_BATCH_ID            NUMBER(18, 0) ,
    GEO_DATA_PROVIDER          VARCHAR2(120)     NOT NULL,
    IDENTIFIER_SUBTYPE         VARCHAR2(120)     NOT NULL,
    IDENTIFIER_VALUE           VARCHAR2(1440)    NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    IDENTIFIER_TYPE            VARCHAR2(120)     NOT NULL,
    PRIMARY_FLAG               VARCHAR2(4)       NOT NULL,
    LANGUAGE_CODE              VARCHAR2(16)      NOT NULL,
    GEOGRAPHY_USE              VARCHAR2(120)     NOT NULL,
    GEOGRAPHY_TYPE             VARCHAR2(120)     NOT NULL,
    COUNTRY_CODE               VARCHAR2(8)   ,
    CREATED_BY_MODULE          VARCHAR2(120)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    REQUEST_ID                 NUMBER(18, 0) ,
    JOB_DEFINITION_NAME        VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE     VARCHAR2(3600),
    SEED_DATA_SOURCE           VARCHAR2(2048),
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    GEOGRAPHY_IDENTIFIER_ID    NUMBER(18, 0) ,
    GEOGRAPHY_ID               NUMBER(18, 0)     NOT NULL,
    GEO_DATA_PROVIDER          VARCHAR2(120)     NOT NULL,
    IDENTIFIER_SUBTYPE         VARCHAR2(120)     NOT NULL,
    IDENTIFIER_VALUE           VARCHAR2(1440)    NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    IDENTIFIER_TYPE            VARCHAR2(120)     NOT NULL,
    PRIMARY_FLAG               VARCHAR2(4)       NOT NULL,
    LANGUAGE_CODE              VARCHAR2(16)      NOT NULL,
    GEOGRAPHY_USE              VARCHAR2(120)     NOT NULL,
    GEOGRAPHY_TYPE             VARCHAR2(120)     NOT NULL,
    CREATED_BY_MODULE          VARCHAR2(120)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    REQUEST_ID                 NUMBER(18, 0) ,
    JOB_DEFINITION_NAME        VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE     VARCHAR2(3600),
    COUNTRY_CODE               VARCHAR2(8)   ,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    IMPORT_BATCH_ID            NUMBER(18, 0) ,
    CONSTRAINT pk_hz_geography_identifiers PRIMARY KEY (GEOGRAPHY_IDENTIFIER_ID, GEOGRAPHY_IDENTIFIER_ID)
);
